#delimit cr
set more off
cap log close
discard 
clear


set logtype text
log using table_descr, replace

set mem 700m
set matsize 800

/****************************************************************************************************************
This program reproduces descriptive tables: Tables 1 and A1 
**********************************************************************************************************************/

/********
TABLE 1
********/

use data_BFS_china,clear

sort nace2 anno

keep if anno==1995 | anno==2000 | anno==2005

collapse (mean) impenit_china_istat impenus_china_schott, by(nace2 anno)

replace impenit_china_istat =impenit_china_istat*100
replace impenus_china_schott=impenus_china_schott*100

keep if anno==1995 | anno==2000 | anno==2005

reshape wide impenit_china_istat impenus_china_schott,i(nace2) j(anno)

tabstat impenit_china_istat* impenus_china_schott*,by(nace2) f(%6.2f)


/********
TABLE A1
********/
clear

use data_BFS_china

drop if anno<1994
drop if anno>2006

keep if j2==1 & outlier==0

gen dataset=0
replace dataset=1 if absmpenit_china_istat!=. & absmpenit_other_istat!=. & absmpenus_china_costante!=. &  absmpenus_other_costante!=. & deltaconcr!=. & ddemimp!=. &  deltacfs2!=. & deltacostlab2!=. & deltaop_tfp!=. & deltasize!=. & v220a!=.

keep if dataset==1

gen treata=0
replace treata=1 if  nace2==15 | nace2==17 | nace2==18 | nace2==19 | nace2==21  | nace2==25 | nace2==29 | nace2==32 | nace2==36
replace treata=. if nace2==.

gen v24_median=v24
gen expshare2=expshare if v212>0 & v212!=.

* imprese treated
replace expshare2=expshare2*100
replace deltasize=deltasize*100
replace deltacfs2=deltacfs2*100
replace deltaop_tfp=deltaop_tfp*100
replace deltacostlab2=deltacostlab2*100

gen v24_treat=.
gen v24_control=.
replace v24_treat=v24 if treata==1
replace v24_control=v24 if treata==0

gen v24_median_treatx=.
gen v24_median_controlx=.
replace v24_median_treatx=v24 if treata==1
replace v24_median_controlx=v24 if treata==0

gen costlab_treat=.
gen costlab_control=.
replace costlab_treat=costlab if treata==1
replace costlab_control=costlab if treata==0

gen vagadd_treat=.
gen vagadd_control=.
replace vagadd_treat=vagadd if treata==1
replace vagadd_control=vagadd if treata==0

gen expshare2_treat=.
gen expshare2_control=.
replace expshare2_treat=expshare2 if treata==1
replace expshare2_control=expshare2 if treata==0

gen deltasize_treat=.
gen deltasize_control=.
replace deltasize_treat=deltasize if treata==1
replace deltasize_control=deltasize if treata==0

gen deltacostlab2_treat=.
gen deltacostlab2_control=.
replace deltacostlab2_treat=deltacostlab2 if treata==1
replace deltacostlab2_control=deltacostlab2 if treata==0

gen deltacfs2_treat=.
gen deltacfs2_control=.
replace deltacfs2_treat=deltacfs2 if treata==1
replace deltacfs2_control=deltacfs2 if treata==0

gen deltaop_tfp_treat=.
gen deltaop_tfp_control=.
replace deltaop_tfp_treat=deltaop_tfp if treata==1
replace deltaop_tfp_control=deltaop_tfp if treata==0

collapse (mean) v24 costlab vagadd expshare2 deltasize deltacostlab2 deltacfs2 deltaop_tfp *_treat *_control (median) v24_median v24_median_treatx v24_median_controlx
*outsheet v24 v24_treat v24_control v24_median v24_median_treat v24_median_control eta eta_treat eta_control costlab costlab_treat costlab_control vagadd vagadd_treat vagadd_control expshare2 expshare2_treat expshare2_control deltasize deltasize_treat deltasize_control deltacostlab2 deltacostlab2_treat deltacostlab2_control deltacfs2 deltacfs2_treat deltacfs2_control deltaop_tfp deltaop_tfp_treat deltaop_tfp_control   using descrivi_imprese_new
tabstat v24 v24_median costlab  vagadd  expshare2 deltasize deltacostlab2 deltacfs2 deltaop_tfp ,c(stat) f(%6.1f)
tabstat *_treat *_treatx,c(stat)  f(%6.1f)
tabstat *_control *_controlx,c(stat)  f(%6.1f)


